from Tkinter import *

class AddressBook:

    def show(self):
	    self.name.set(self.people[self.position]['name'])
	    self.phone.set(self.people[self.position]['phone'])
	    
    def first(self):
	    self.position=0
	    self.show()
	    
    def last(self):
	    self.position=len(self.people)-1
	    self.show()

    def quit(self):
	    self.window.quit()
	    
    def __init__(self):
	self.window = Tk()
	self.window.title('Address Book')

	nameframe = Frame(self.window)
	nameframe.pack(side=TOP)

	nameLabel = Label(nameframe, text="Name:")
	nameLabel.pack(side=LEFT)

	self.name=StringVar();
	self.nameBox = Entry(nameframe, textvariable=self.name)
	self.nameBox.pack(side=RIGHT)
	
	phoneframe = Frame(self.window)
	phoneframe.pack(side=TOP)

	phoneLabel = Label(phoneframe, text="Phone:")
	phoneLabel.pack(side=LEFT)

	self.phone=StringVar();
	self.phoneBox = Entry(phoneframe, textvariable=self.phone)
	self.phoneBox.pack(side=RIGHT)
	
	bframe = Frame(self.window)
	bframe.pack(side=BOTTOM)

	firstButton = Button(bframe, text="First", command=self.first)
	firstButton.pack(side=LEFT)
	
	prevButton = Button(bframe, text="Previous")
	prevButton.pack(side=LEFT)
	
	nextButton = Button(bframe, text="Next")
	nextButton.pack(side=LEFT)
	
	lastButton = Button(bframe, text="Last", command=self.last)
	lastButton.pack(side=LEFT)

	quitButton = Button(bframe, text="Quit", command=self.quit)
	quitButton.pack(side=RIGHT)

	self.people=[{'name':'Joan','phone':'123'},
		     {'name':'John','phone':'456'},
		     {'name':'Jean','phone':'789'}]
	self.position=0
	self.show()

    def run(self):
	self.window.mainloop()

AddressBook().run()
