from Tkinter import *
from tkFileDialog import *

class TextEditor:

    def new(self):
	self.editor.delete(1.0,END)
	self.filename=''
	self.filemenu.entryconfig(2,state=DISABLED)
	self.window.title('Editor: New File')

    def open(self):
	self.filename = askopenfilename()
	if self.filename:
            daFile = open(self.filename,'r')
            text = daFile.read()
            self.editor.delete(1.0,END)
            self.editor.insert(END,text)
	    self.filemenu.entryconfig(2,state=NORMAL)
	    self.window.title('Editor: '+self.filename)

    def saveas(self):
        self.filename = asksaveasfilename()
	if self.filename:
            aFile = open(self.filename,'w')
            text = self.editor.get(1.0,END)
            aFile.write(text)
	    self.filemenu.entryconfig(2,state=NORMAL)
	    self.window.title('Editor: '+self.filename)

    def save(self):
	if self.filename:
	    aFile = open(self.filename,'w')
	    text = self.editor.get(1.0,END)
	    aFile.write(text)
	else:
	    self.saveas()

    def __init__(self):
	self.window = Tk()
	self.menubar = Menu()
	self.filemenu = Menu(tearoff=0)
	self.filemenu.add_command(label='New',command=self.new)
	self.filemenu.add_command(label='Open...',command=self.open)
	self.filemenu.add_command(label='Save',command=self.save,state=DISABLED)
	self.filemenu.add_command(label='Save As...',command=self.saveas)
	self.filemenu.add_separator()
	self.filemenu.add_command(label='Quit',command=self.window.quit)
	self.menubar.add(CASCADE,label='File',menu=self.filemenu)
	self.window.config(menu=self.menubar)
	self.ys=Scrollbar(self.window,orient=VERTICAL)
	self.editor = Text(self.window,yscrollcommand=self.ys.set,width=80,height=25)
	self.ys.config(command=self.editor.yview)
	self.editor.pack(side=LEFT)
	self.ys.pack(side=RIGHT,fill='y')
	self.window.title('Editor: New File')
	self.filename=''

    def go(self):
	self.window.mainloop()

theproggie = TextEditor()
theproggie.go()
