from visual import * #import everything in the visual library
from random import * #imports everything to do with random numbers

carl=sphere(color=color.blue, radius=1) #It doesn't matter what you call the 
sphere you create.  After you've named the object you always refer 
to it by that name.

carl.velocity=vector(.01,0,0) #Once you create a vector, 
Python does vector addition, dot products, 
cross products, etc. for you.  

dt=0.01 #This is the timestep for the Euler integrator

rate(1/dt) #The argument to the rate() function tells 
Vpython how often to update the frame.  
In this example, the display shows a new 
picture 100 times per second.

#AN EXAMPLE OF A LOOP IN PYTHON:
while carl.pos.x<10:  #while condition:
    carl.pos+=carl.velocity*dt #Indent the commands.  
Emacs does this automatically.

#When you stop indenting, Python ends the loop.  

if carl.pos.x>5.0:  #You can also do "if" loops
    print "Carl has just passed x=5" #print is the python version of 
printf.  It prints to stdout (in this case, the terminal).
if carl.pos.x > 9.0:
    print "almost done"

#continue with the program
print "Done!"

