# This example shows how to control Visual Python objects with Tkinter widgets
from Tkinter import *
from visual import *

scene.autoscale=0
scene.range=6
scene.center=(0,6,0)

class App:

    def __init__(self, root):

        self.ball = sphere()
        
        self.heightScale = Scale(root, from_=10,  to=1, resolution=.1,
                                 command=self.heightHandler,orient=VERTICAL)
        self.heightScale.pack(side=LEFT)

    #This method gets called with the scale is adjusted. The scale will pass in
    # its new value as the 'newheight' argument.
    def heightHandler(self,newheight):
        self.ball.pos.y=newheight


toplevel_window = Tk()
toplevel_window.title("Controls")

app = App(toplevel_window)

toplevel_window.mainloop()

