from visual import *

ball=sphere(radius=0.25,pos=(-1,1,0)) 

ball.mass=2.0 #Give the ball an attribute called "mass"

ball.trail=curve() #The trail will trace out the ball's motion.

force=vector(0,-20,0) #Create a vector called "force".  
Here, the force acts ONLY in the -y direction.

ball.velocity=vector(5,0,0) #Velocity is also a vector.  
The initial velocity starts off in the +x direction.

ball.acceleration=force/ball.mass #Since force is a vector and ball.mass 
is a scalar, ball.acceleration is a vector (0,-10,0).  Can you think of 
a force that would accelerate an object downwards at approximately 
10 meters per second?

dt=.01

while ball.pos.x<2:
    scene.autoscale=0 #This just stops the thing from autoscaling all the time.

    rate(1/dt)
    
    ball.velocity+=ball.acceleration*dt #Update the velocity using 
the acceleration.

    ball.pos+=ball.velocity*dt #Update the position using the velocity
    
    ball.trail.append(pos=ball.pos) #Draw the trail
